QtWebKit based applications crash on a flash based webpage when using flash 10.1 onwards

Bug #634774 reported by Apoorv Parle on 2010-09-10
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
qt4-x11 (Ubuntu)
Undecided
Apoorv Parle
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: libqt4-webkit

Whenever a website containing flash is opened in any qtwebkit based browser like arora or rekonq, it crashes.
This happens when flash version is 10.1.53.64 or greater. This happens due to the fact that flash doesn't initialize gtk (it used to in earlier versions) but directly uses it, resulting in crash in any non-gtk browser.

Apoorv Parle (apparle) on 2010-09-10
Changed in qt4-x11 (Ubuntu):
assignee: nobody → Apoorv Parle (apparle)
Apoorv Parle (apparle) wrote :

Force the Initialization of gtk

summary: - and QtWebKit based applications crash on a flash based webpage when
- using flash 10.1 onwards
+ QtWebKit based applications crash on a flash based webpage when using
+ flash 10.1 onwards
Apoorv Parle (apparle) wrote :

TEST CASE
Requirement: Flash 10.1.53.64 or greater installed

Before: Opening http://www.adobe.com/software/flash/about/ in rekonq or arora will result in a crash on lucid.
After: The site opens fine in both rekonq and arora.

Jonathan Riddell (jr) wrote :

Fixed in maverick upstream

Changed in qt4-x11 (Ubuntu):
status: New → Fix Released
Jonathan Riddell (jr) wrote :
Jonathan Riddell (jr) wrote :

uploaded to lucid-proposed, awaiting approval

Accepted qt4-x11 into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in qt4-x11 (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Jonathan Thomas (echidnaman) wrote :

Testcase works fine for me with the new packages.

Martin Pitt (pitti) on 2010-09-17
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qt4-x11 - 4:4.6.2-0ubuntu5.1

---------------
qt4-x11 (4:4.6.2-0ubuntu5.1) lucid-proposed; urgency=low

  * Add kubuntu_13_qtwebkit_initialise_gtk.diff prevent crashes due
   to Gtk based plugin such as flashplugin 10.1 by explicitly forcing
   the initializing of Gtk LP: #634774
 -- Apoorv Parle <email address hidden> Fri, 10 Sep 2010 14:32:24 +0530

Changed in qt4-x11 (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers